Get Bank Reconciliation Report
curl --request GET \
--url https://api.meetcampfire.com/coa/api/v2/reconciliation/{id}import requests
url = "https://api.meetcampfire.com/coa/api/v2/reconciliation/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/v2/reconciliation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"entity_name": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"account_type": "<string>",
"account_subtype": "<string>",
"reconciled_by_name": "<string>",
"reconciled_by_email": "<string>",
"approved_by_name": "<string>",
"approved_by_email": "<string>",
"async_task": {
"id": 123,
"created_by_name": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"created_by": 123,
"status": "PENDING",
"error_message": "<string>",
"error_type": "<string>",
"retries": -1,
"completed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"celery_task_id": "<string>",
"root_task_id": "<string>",
"parent_task_id": "<string>",
"trace_id": "<string>",
"span_id": "<string>",
"task_args": "<unknown>",
"task_kwargs": "<unknown>",
"result": "<unknown>",
"content": null
},
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"csv_statements": "<string>",
"cleared_total_debits": "<string>",
"cleared_total_credits": "<string>",
"cleared_activity": "<string>",
"cleared_item_count": "<string>",
"matched_total_debits": "<string>",
"matched_total_credits": "<string>",
"matched_activity": "<string>",
"matched_item_count": "<string>",
"unreconciled_total_debits": "<string>",
"unreconciled_total_credits": "<string>",
"unreconciled_activity": "<string>",
"unreconciled_gl_item_count": "<string>",
"unreconciled_statement_line_count": "<string>",
"unreconciled_statement_activity": "<string>",
"reconciliation_difference": "<string>",
"open_total_debits": "<string>",
"open_total_credits": "<string>",
"open_activity": "<string>",
"open_gl_item_count": "<string>",
"open_statement_line_count": "<string>",
"open_statement_activity": "<string>",
"statement_activity": "<string>",
"open_difference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"approved_on": "2023-11-07T05:31:56Z",
"customer": 123,
"account": 123,
"approved_by": 123,
"currency": "<string>",
"statement_starting_date": "2023-12-25",
"statement_ending_date": "2023-12-25",
"starting_balance": 0,
"ending_balance": 0,
"total_credit_amount": 0,
"total_debit_amount": 0,
"adjustments": 0,
"reconciled_on": "2023-12-25",
"status": "DRAFT",
"unmatched_statement_transactions": null,
"statement_recognition_cost_usd": 0,
"statement_recognition_input_tokens": 1073741823,
"statement_recognition_output_tokens": 1073741823,
"statement_recognition_token_total": 4611686018427388000,
"statement_recognition_model_name": "<string>",
"entity": 123,
"matching_task": 123,
"reconciled_by": 123
}Bank Reconciliation
Get Bank Reconciliation Report
Retrieve a specific bank reconciliation report by ID. Includes report metadata, status, async task status for PDF processing, and attached files/CSV statements.
GET
/
coa
/
api
/
v2
/
reconciliation
/
{id}
Get Bank Reconciliation Report
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
3Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000DRAFT- DraftPENDING_APPROVAL- Pending ApprovalAPPROVED- ApprovedDELETED- Deleted
Available options:
DRAFT, PENDING_APPROVAL, APPROVED, DELETED Estimated USD cost of AI bank-statement parsing for this report (from summed page token usage).
Required range:
-100000000 < x < 100000000Sum of input tokens from statement parsing across all pages (set on finalize).
Required range:
0 <= x <= 2147483647Sum of output tokens from statement parsing across all pages (set on finalize).
Required range:
0 <= x <= 2147483647Input plus output tokens for this report (set on finalize).
Required range:
0 <= x <= 9223372036854776000LLM model used for statement parsing when token totals were recorded.
Maximum string length:
128